public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/mkdocs/
Date: Tue, 27 Sep 2022 18:25:33 +0000 (UTC)	[thread overview]
Message-ID: <1664303123.728c677d66b85237c43aedcb942eb017fd7faa47.arthurzam@gentoo> (raw)

commit:     728c677d66b85237c43aedcb942eb017fd7faa47
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 27 17:49:18 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 27 18:25:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=728c677d

dev-python/mkdocs: add 1.4.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/mkdocs/Manifest            |  1 +
 dev-python/mkdocs/mkdocs-1.4.0.ebuild | 80 +++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-python/mkdocs/Manifest b/dev-python/mkdocs/Manifest
index d195835dc895..1038b9f0ed30 100644
--- a/dev-python/mkdocs/Manifest
+++ b/dev-python/mkdocs/Manifest
@@ -1 +1,2 @@
 DIST mkdocs-1.3.1.gh.tar.gz 4088396 BLAKE2B b54d0090318fef205d84c4e914f916f91309bdfe6857cd2592fea24e6fb68baaa2eede6dc768681c85ae37adf794546a6ac82dd34d300f421969991f9a796cae SHA512 6eb041f9d0a628eb3a2e6585fde0959f5ef35501edf2c69db640059d98523e2cfa723bc49aedfac1dea4804dcf3c51791e4a052b77ef97bd85a0f4ace2a4d9ad
+DIST mkdocs-1.4.0.gh.tar.gz 4129220 BLAKE2B 2bd216f569fa7778d40faf4af019304651b72d48bc9cdea7c378cb955d842547c41544c5491aea22b16be6a7589ef42e3ec1ab9bcfc0d77d3cf096a2002bc67d SHA512 83da22c71345829f86c2add0c11a74cc93da12e61e5036fa8a9699569be21e31407057b246f050f3de31cb1d9a554399b778932c7b3993316908b61cf240ffb1

diff --git a/dev-python/mkdocs/mkdocs-1.4.0.ebuild b/dev-python/mkdocs/mkdocs-1.4.0.ebuild
new file mode 100644
index 000000000000..e68bd080ad7f
--- /dev/null
+++ b/dev-python/mkdocs/mkdocs-1.4.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Project documentation with Markdown"
+HOMEPAGE="https://www.mkdocs.org https://github.com/mkdocs/mkdocs"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+IUSE="doc"
+
+BDEPEND="
+	doc? (
+		$(python_gen_any_dep '
+			dev-python/mdx_gh_links[${PYTHON_USEDEP}]
+			dev-python/mkdocs-redirects[${PYTHON_USEDEP}]
+		')
+	)
+"
+RDEPEND="
+	>=dev-python/Babel-2.9.0[${PYTHON_USEDEP}]
+	>=dev-python/click-7.0[${PYTHON_USEDEP}]
+	>=dev-python/jinja-2.11.1[${PYTHON_USEDEP}]
+	>=dev-python/markdown-3.3.3[${PYTHON_USEDEP}]
+	<dev-python/markdown-3.4[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+	>=dev-python/watchdog-2.0[${PYTHON_USEDEP}]
+	>=dev-python/ghp-import-1.0[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml_env_tag-0.1[${PYTHON_USEDEP}]
+	>=dev-python/importlib_metadata-4.3[${PYTHON_USEDEP}]
+	>=dev-python/packaging-20.5[${PYTHON_USEDEP}]
+	>=dev-python/mergedeep-1.3.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+	# Tests fails if additional themes are installed
+	mkdocs/tests/utils/utils_tests.py::UtilsTests::test_get_themes
+	mkdocs/tests/utils/utils_tests.py::UtilsTests::test_get_themes_error
+	mkdocs/tests/utils/utils_tests.py::UtilsTests::test_get_themes_warning
+
+	# Does not work in emerge env
+	mkdocs/tests/config/config_options_tests.py::ListOfPathsTest::test_paths_localized_to_config
+)
+
+python_prepare_all() {
+	# livereload has been dropped in this release, this test is a remnant
+	rm mkdocs/tests/livereload_tests.py || die
+
+	# Does not work in emerge env
+	sed -i -e 's/test_paths_localized_to_config/_&/' \
+		mkdocs/tests/config/config_options_tests.py
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	default
+	if use doc; then
+		# cannot just do mkdocs build, because that fails if
+		# the package isn't already installed
+		python -m mkdocs build || die "Failed to make docs"
+		# Colliding files found by ecompress:
+		rm site/sitemap.xml.gz || die
+		HTML_DOCS=( "site/." )
+	fi
+}
+
+python_test() {
+	epytest mkdocs/tests/*
+}


             reply	other threads:[~2022-09-27 18:25 UTC|newest]

Thread overview: 81+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-27 18:25 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-30 14:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/mkdocs/ Andrew Ammerlaan
2024-07-06 17:58 Michał Górny
2024-05-08  8:15 Michał Górny
2024-05-08  7:50 Michał Górny
2024-05-08  7:50 Michał Górny
2024-05-08  7:50 Michał Górny
2024-04-24 17:21 Arthur Zamarin
2024-04-23 11:07 Yixun Lan
2024-04-23  1:31 Sam James
2024-04-23  1:31 Sam James
2024-04-22 16:58 Arthur Zamarin
2024-04-22 16:58 Arthur Zamarin
2024-04-22 11:58 Andrew Ammerlaan
2023-12-09 13:56 Michał Górny
2023-12-09 13:52 Michał Górny
2023-11-24 17:04 Arthur Zamarin
2023-11-22 12:43 Andrew Ammerlaan
2023-10-06 18:12 Michał Górny
2023-10-06 17:25 Sam James
2023-09-19  3:16 Michał Górny
2023-09-14  9:58 Andrew Ammerlaan
2023-09-11 14:03 Michał Górny
2023-09-11 11:59 Arthur Zamarin
2023-08-03  6:09 Michał Górny
2023-07-28  5:32 Michał Górny
2023-07-27  3:21 Michał Górny
2023-06-06 18:46 Michał Górny
2023-06-06 16:55 Arthur Zamarin
2023-06-06 11:18 Michał Górny
2023-05-03  7:51 Michał Górny
2023-02-25  5:47 Arthur Zamarin
2022-12-10  9:09 Michał Górny
2022-12-10  9:02 Arthur Zamarin
2022-11-03 19:59 Arthur Zamarin
2022-11-03 19:57 Sam James
2022-11-02 13:34 Andrew Ammerlaan
2022-10-16  5:41 Arthur Zamarin
2022-10-02 10:35 Andrew Ammerlaan
2022-08-19 17:18 Michał Górny
2022-08-19 16:54 Sam James
2022-07-19 18:44 Andrew Ammerlaan
2022-06-25 11:18 Michał Górny
2022-06-25  8:42 Arthur Zamarin
2022-05-24 13:02 Andrew Ammerlaan
2022-04-09 18:39 Michał Górny
2022-04-09 17:02 Arthur Zamarin
2022-03-28 18:26 Andrew Ammerlaan
2022-03-28 18:21 Andrew Ammerlaan
2021-11-21 19:14 Michał Górny
2021-11-21 18:39 Jakov Smolić
2021-10-20 11:51 Andrew Ammerlaan
2021-09-09 15:51 Arthur Zamarin
2021-09-09 15:16 Marek Szuba
2021-08-26  8:24 Michał Górny
2021-08-26  4:41 Agostino Sarubbo
2021-07-18 19:43 Andrew Ammerlaan
2021-07-13  6:33 Agostino Sarubbo
2021-07-13  0:05 Sam James
2021-06-27  6:21 Michał Górny
2021-06-27  5:38 Sam James
2021-06-27  5:38 Sam James
2021-06-11 13:43 Andrew Ammerlaan
2021-05-25 15:34 Andrew Ammerlaan
2021-04-13 11:07 Joonas Niilola
2021-01-21 10:52 Michał Górny
2021-01-21  7:40 Agostino Sarubbo
2021-01-05 11:08 Michał Górny
2020-12-11 15:01 Michał Górny
2020-12-05 13:31 Jason A. Donenfeld
2020-05-09 11:24 Mikle Kolyada
2020-05-09 11:24 Mikle Kolyada
2020-04-09 12:38 Joonas Niilola
2020-03-19 13:29 Joonas Niilola
2020-02-05 16:24 Michał Górny
2018-09-15 19:37 Michał Górny
2018-08-15 22:14 Vladimir Smirnov
2018-06-15 20:01 Vladimir Smirnov
2017-07-31 10:37 Tobias Klausmann
2016-03-20 21:18 Alex Brandt
2016-03-20 21:18 Alex Brandt

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1664303123.728c677d66b85237c43aedcb942eb017fd7faa47.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox